Bananian Linux

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000038Bananian Linux[All Projects] Generalpublic2014-09-20 00:052015-04-01 16:48
Reporterguest 
Assigned ToNico 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version14.09 
Target Version15.04Fixed in Version15.04 
Summary0000038: Attempt to change keyboard layout through bananian-config on an headless installation fails silently
DescriptionUsing bananian-config over SSH on an headless installation (no keyboard attached) to change the keyboard layout, does not result in any noticable change. Yet, there are no error messages either.

You just get this:
>> Your current keyboard layout is 'us'. Do you want to change it? (y/n) y

>> Configuring keyboard layout...

>> [ ok ] Setting preliminary keymap...done.

There is no error indicated, but if you run bananian-config again, you see the keyboard layout hasn't changed (still showing 'us').
Steps To Reproduce1) Run bananian-config over ssh on an installation with no keyboard attached. Enter y when asked if you want to change the keyboard layout.

2) Repeat the same to confirm, the keyboard layout hasn't changed.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0000066resolvedNico Can't change Keyboard Layout to DE 
has duplicate 0000095resolvedNico Reconfiguring the keyboard offers no choices 
has duplicate 0000105resolvedNico No Keyboard Setup in bananian-config 

-  Notes
(0000113)
guest (viewer)
2014-12-22 12:05

managed to change keyboard-layout to german with:

loadkeys de-latin1-nodeadkeys.kmap.gz
(0000158)
Qaxi (reporter)
2015-02-25 15:57

read "man savecon" --save option
/etc/init.d/console-setup is ran with --save, /etc/init.d/keyboard-setup is not

we should run bananian-config this way

--- /usr/local/bin/bananian-config.old 2010-01-01 06:45:37.759801604 +0100
+++ /usr/local/bin/bananian-config 2010-01-01 06:46:23.129801627 +0100
@@ -75,7 +75,7 @@
 if [ "$CHANGE" = "y" ]; then {
         echo -e "\nConfiguring keyboard layout... \n"
     dpkg-reconfigure --priority=high keyboard-configuration
- /etc/init.d/keyboard-setup restart
+ /bin/setupcon --save
     echo -e ""
 } fi
(0000160)
Nico (manager)
2015-02-27 10:01

Thank you for the diff/fix! :)
Will test it later
(0000188)
Nico (manager)
2015-04-01 16:48

https://github.com/Bananian/bananian/commit/d9e9656332df3f97da48c1d5e80fe40f94d7cd54 [^]

- Issue History
Date Modified Username Field Change
2014-09-20 00:05 guest New Issue
2014-09-20 08:03 Nico Assigned To => Nico
2014-09-20 08:03 Nico Status new => confirmed
2014-09-28 13:08 Nico Status confirmed => assigned
2014-09-28 13:08 Nico Target Version => later
2014-11-05 13:59 Nico Target Version later => 15.04
2014-11-25 06:30 Nico Relationship added has duplicate 0000066
2014-12-22 12:05 guest Note Added: 0000113
2015-01-11 19:18 Nico Relationship added has duplicate 0000095
2015-02-01 08:53 Nico Relationship added has duplicate 0000105
2015-02-25 15:57 Qaxi Note Added: 0000158
2015-02-27 10:01 Nico Note Added: 0000160
2015-04-01 16:48 Nico Note Added: 0000188
2015-04-01 16:48 Nico Status assigned => resolved
2015-04-01 16:48 Nico Fixed in Version => 15.04
2015-04-01 16:48 Nico Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker